summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMusikolo2020-08-03 23:05:56 -0500
committerMusikolo2020-08-03 23:05:56 -0500
commitd3711816fd356838673545ef3a0107702c9c78fc (patch)
tree4baac4d33c145471d4de9b4aa1494c5068dafc3f
parente800a5333725747bf35781122b426e0e34ae8580 (diff)
downloadaur-d3711816fd356838673545ef3a0107702c9c78fc.tar.gz
Use version-agnostic path in Spring Tool Suite install script
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD2
-rw-r--r--lombok-sts.install6
3 files changed, 9 insertions, 9 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b3af869b17e..a1d33f44e81 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Wed Jul 8 03:20:46 UTC 2020
+# Tue Aug 4 04:02:30 UTC 2020
pkgbase = lombok
pkgdesc = Project Lombok integrated with several Eclipse-based installations
pkgver = 1.18.12
- pkgrel = 3
+ pkgrel = 4
url = http://projectlombok.org
arch = any
license = MIT
@@ -19,18 +19,18 @@ pkgname = lombok-common
pkgname = lombok-eclipse-java
pkgdesc = Lombok integration with Eclipse IDE for Java Developers
install = lombok-eclipse.install
- depends = lombok-common=1.18.12-3
+ depends = lombok-common=1.18.12-4
depends = eclipse-java
pkgname = lombok-eclipse-jee
pkgdesc = Lombok integration with Eclipse IDE for Java EE Developers
install = lombok-eclipse.install
- depends = lombok-common=1.18.12-3
+ depends = lombok-common=1.18.12-4
depends = eclipse-jee
pkgname = lombok-spring-tool-suite
pkgdesc = Lombok integration with Spring Tool Suite (STS)
install = lombok-sts.install
- depends = lombok-common=1.18.12-3
+ depends = lombok-common=1.18.12-4
depends = spring-tool-suite
diff --git a/PKGBUILD b/PKGBUILD
index fd29d923c12..1c9baa9f5ec 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
pkgbase="lombok"
pkgname=('lombok-common' 'lombok-eclipse-java' 'lombok-eclipse-jee' 'lombok-spring-tool-suite')
pkgver=1.18.12
-pkgrel=3
+pkgrel=4
pkgdesc="Project Lombok integrated with several Eclipse-based installations"
makedepends=('java-runtime')
arch=("any")
diff --git a/lombok-sts.install b/lombok-sts.install
index e6563196941..8bd3a133b0e 100644
--- a/lombok-sts.install
+++ b/lombok-sts.install
@@ -10,8 +10,8 @@ note() {
}
post_install() {
- java -jar /usr/lib/lombok-common/lombok.jar install /opt/sts-4.?.?.RELEASE/ && \
- ln -sf /usr/lib/lombok-common/lombok.jar /opt/sts-4.?.?.RELEASE/lombok.jar || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar install /opt/sts4/ && \
+ ln -sf /usr/lib/lombok-common/lombok.jar /opt/sts4/lombok.jar || exit 1
note "You must add lombok.jar or lombok-api.jar to the build path of each Lombok-dependent project."
}
@@ -20,6 +20,6 @@ post_upgrade() {
}
pre_remove() {
- java -jar /usr/lib/lombok-common/lombok.jar uninstall /opt/sts-4.?.?.RELEASE/ || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar uninstall /opt/sts4/ || exit 1
}